import { UsersService } from './users.service';
import { RequestUser } from '../auth/strategies/jwt.strategy';
export declare class UsersController {
    private readonly usersService;
    constructor(usersService: UsersService);
    findAll(user: RequestUser, page?: number, limit?: number): Promise<{
        data: Partial<import("../auth").User>[];
        total: number;
        page: number;
        limit: number;
    }>;
    findOne(id: string, user: RequestUser): Promise<Partial<import("../auth").User>>;
    update(id: string, updateDto: any, user: RequestUser): Promise<Partial<import("../auth").User>>;
}
